Subject: Re: Git has a healthy truck factor..

From: Jeff King <[email-masked]>
Date: Tue, 14 Jul 2015 08:39:50 -0700

On Tue, Jul 14, 2015 at 12:05:58AM +0100, Philip Oakley wrote:

> It looks like Git has a healthy truck factor of 8, as reported in
> https://mtov.github.io/Truck-Factor/, which has Git eighth in the list of
> projects it analyzed, with Linux at second place.
> 
> The analysis method paper is behind a pay wall, so I couldn't see how
> sensible the methodology, but it's nice to know Git's a broad team.

One thing I noticed is that Homebrew has an extremely high number. But I
suspect this is because it has a very large number of somewhat silo'd
files. That is, people work on package formulas for projects that
interest them, but what you really care about for the health of the
project is who is working on the base system. Maybe those formula
authors could step up, or maybe not, but I'm not sure that is reflected
in this analysis.

-Peff